
export const regTypeOptions = [
  { dictLabel: '有限责任公司', dictValue: '1'},
  { dictLabel: '股份有限公司', dictValue: '2'},
  { dictLabel: '外资投资企业', dictValue: '3'},
  { dictLabel: '国企', dictValue: '4'},
  { dictLabel: '独资企业', dictValue: '5'},
  { dictLabel: '个体工商户', dictValue: '6'},
  { dictLabel: '联营企业', dictValue: '7'},
  { dictLabel: '集团所有制', dictValue: '8'},
  { dictLabel: '有限合伙', dictValue: '9'},
  { dictLabel: '普通合伙', dictValue: '10'}
]

export const mainProductsOptions = [
  { dictLabel: '电子信息', dictValue: '1'},
  { dictLabel: '生物与新医药', dictValue: '2'},
  { dictLabel: '航空航天', dictValue: '3'},
  { dictLabel: '新能源及节能', dictValue: '4'},
  { dictLabel: '新材料', dictValue: '5'},
  { dictLabel: '先进制造', dictValue: '6'},
  { dictLabel: '现代农业', dictValue: '7'},
  { dictLabel: '高技术服务', dictValue: '8'},
  { dictLabel: '资源与环境', dictValue: '9'},
  { dictLabel: '高新技术改造传统产业', dictValue: '10'},
  { dictLabel: '其他', dictValue: '11'}
]

export const techScopeOptions = [
  { dictLabel: '电子信息', dictValue: '1'},
  { dictLabel: '生物与新医药', dictValue: '2'},
  { dictLabel: '航空航天', dictValue: '3'},
  { dictLabel: '新材料', dictValue: '4'},
  { dictLabel: '高新技术服务', dictValue: '5'},
  { dictLabel: '新能源及节能', dictValue: '6'},
  { dictLabel: '资源与环境', dictValue: '7'},
  { dictLabel: '先进制造与自动化', dictValue: '8'},
  { dictLabel: '其他', dictValue: '9'},
]

export const userListOptions = [
  { dictLabel: '技术员', dictValue: 'ENT_TECH'},
  { dictLabel: '技术负责人', dictValue: 'ENT_ADMIN_TECH'},
  { dictLabel: '财务员', dictValue: 'ENT_FIN'},
  { dictLabel: '财务负责人', dictValue: 'ENT_ADMIN_FIN'}
]

export const userAllListOptions = [
  { dictLabel: '企业管理员', dictValue: 'ENT_ADMIN'},
  { dictLabel: '技术员', dictValue: 'ENT_TECH'},
  { dictLabel: '技术负责人', dictValue: 'ENT_ADMIN_TECH'},
  { dictLabel: '财务员', dictValue: 'ENT_FIN'},
  { dictLabel: '财务负责人', dictValue: 'ENT_ADMIN_FIN'}
]
/**
 * 服务状态 1:待审核 2:服务中 3:已过期 4:冻结
 */
export const entStateOptions = [
  { dictLabel: '待审核', dictValue: '1'},
  { dictLabel: '服务中', dictValue: '2'},
  { dictLabel: '已过期', dictValue: '3'},
   {dictLabel: '冻结',dictValue: '4'}
]

export const yesOrNoOptions = [
  { dictLabel: '是', dictValue: 1},
  { dictLabel: '否', dictValue: 0}
]

export const successOptions = [
  { dictLabel: '成功', dictValue: true},
  { dictLabel: '失败', dictValue: false}
]

export const booleanOptions = [
  { dictLabel: '是', dictValue: true},
  { dictLabel: '否', dictValue: false}
]
/**
 *
 * 审核状态 1:待审核 2:通过 3:驳回
 */

export const authStateOptions =[
  { dictLabel: '待提交', dictValue: '1'},
  { dictLabel: '待审核', dictValue: '2'},
  { dictLabel: '审核通过', dictValue: '3'},
  { dictLabel: '审核拒绝', dictValue: '4'}
]
export const dutyAreaOptions =[
  { dictLabel: '省级', dictValue: 1},
  { dictLabel: '市级', dictValue: 2},
  { dictLabel: '区级', dictValue: 3}
]
export const authStateEntOptions = [
  { dictLabel: '待审核', dictValue: '1'},
  { dictLabel: '审核通过', dictValue: '2'},
  { dictLabel: '审核拒绝', dictValue: '3'}
]

export const businessIndustryOptions = [
  {
    value: '农、林、牧、渔业',
    label: '农、林、牧、渔业',
    children: [
      {value: '农业',label: '农业'},
      {value: '林业',label: '林业'},
      {value: '畜牧业',label: '畜牧业'},
      {value: '渔业',label: '渔业'},
      {value: '农林牧渔专业及辅助性活动',label: '农林牧渔专业及辅助性活动'}
    ],
  },
  {
    value: '采矿业',
    label: '采矿业',
    children: [
      {value: '煤炭开采和洗选业',label: '煤炭开采和洗选业'},
      {value: '石油和天然气开采业',label: '石油和天然气开采业'},
      {value: '黑色金属矿采选业',label: '黑色金属矿采选业'},
      {value: '有色金属矿采选业',label: '有色金属矿采选业'},
      {value: '非金属矿采选业',label: '非金属矿采选业'},
      {value: '开采专业及辅助性活动',label: '开采专业及辅助性活动'},
      {value: '其他采矿业',label: '其他采矿业'}
    ],
  },
  {
    value: '制造业',
    label: '制造业',
    children: [
      {value: '农副食品加工业',label: '农副食品加工业'},
      {value: '食品制造业',label: '食品制造业'},
      {value: '酒、饮料和精制茶制造业',label: '酒、饮料和精制茶制造业'},
      {value: '烟草制品业',label: '烟草制品业'},
      {value: '纺织业',label: '纺织业'},
      {value: '纺织服装、服饰业',label: '纺织服装、服饰业',},
      {value: '皮革、毛皮、羽毛及其制品和制鞋业',label: '皮革、毛皮、羽毛及其制品和制鞋业',},
      {value: '木材加工和木、竹、藤、棕、草制品业',label: '木材加工和木、竹、藤、棕、草制品业',},
      {value: '家具制造业',label: '家具制造业',},
      {value: '造纸和纸制品业',label: '造纸和纸制品业',},
      {value: '印刷和记录媒介复制业',label: '印刷和记录媒介复制业',},
      {value: '文教、工美、体育和娱乐用品制造业',label: '文教、工美、体育和娱乐用品制造业',},
      {value: '石油、煤炭及其他燃料加工业',label: '石油、煤炭及其他燃料加工业',},
      {value: '化学原料和化学制品制造业',label: '化学原料和化学制品制造业',},
      {value: '医药制造业',label: '医药制造业',},
      {value: '化学纤维制造业',label: '化学纤维制造业',},
      {value: '橡胶和塑料制品业',label: '橡胶和塑料制品业',},
      {value: '非金属矿物制品业',label: '非金属矿物制品业',},
      {value: '黑色金属冶炼和压延加工业',label: '黑色金属冶炼和压延加工业'},
      {value: '有色金属冶炼和压延加工业', label: '有色金属冶炼和压延加工业'},
      {value: '金属制品业', label: '金属制品业'},
      {value: '通用设备制造业', label: '通用设备制造业'},
      {value: '专用设备制造业', label: '专用设备制造业'},
      {value: '汽车制造业', label: '汽车制造业'},
      {value: '铁路、船舶、航空航天和其他运输设备制造业', label: '铁路、船舶、航空航天和其他运输设备制造业'},
      {value: '电气机械和器材制造业', label: '电气机械和器材制造业'},
      {value: '计算机、通信和其他电子设备制造业', label: '计算机、通信和其他电子设备制造业'},
      {value: '仪器仪表制造业', label: '仪器仪表制造业'},
      {value: '其他制造业', label: '其他制造业'},
      {value: '废弃资源综合利用业', label: '废弃资源综合利用业'},
      {value: '金属制品、机械和设备修理业', label: '金属制品、机械和设备修理业'}
    ]
  },
  {
    value: '电力、热力、燃气及水生产和供应业',
    label: '电力、热力、燃气及水生产和供应业',
    children: [
      {value: '电力、热力生产和供应业',label: '电力、热力生产和供应业',},
      {value: '燃气生产和供应业',label: '燃气生产和供应业',},
      {value: '水的生产和供应业',label: '水的生产和供应业',}
    ]
  },
  {
    value: '建筑业',
    label: '建筑业',
    children: [
      {value: '房屋建筑业',label: '房屋建筑业'},
      {value: '土木工程建筑业',label: '土木工程建筑业'},
      {value: '建筑安装业',label: '建筑安装业'},
      {value: '建筑装饰、装修和其他建筑业',label: '建筑装饰、装修和其他建筑业'}
    ]
  },
  {
    value: '批发和零售业',
    label: '批发和零售业',
    children: [
      {value: '批发业',label: '批发业'},
      {value: '零售业',label: '零售业'}
    ]
  },
  {
    value: '交通运输、仓储和邮政业',
    label: '交通运输、仓储和邮政业',
    children: [
      {value: '铁路运输业',label: '铁路运输业'},
      {value: '道路运输业',label: '道路运输业'},
      {value: '水上运输业',label: '水上运输业'},
      {value: '航空运输业',label: '航空运输业'},
      {value: '管道运输业',label: '管道运输业'},
      {value: '多式联运和运输代理业',label: '多式联运和运输代理业'},
      {value: '装卸搬运和仓储业',label: '装卸搬运和仓储业'},
      {value: '邮政业',label: '邮政业'},
    ]
  },
  {
    value: '住宿和餐饮业',
    label: '住宿和餐饮业',
    children: [
      {value: '住宿业',label: '住宿业'},
      {value: '餐饮业',label: '餐饮业'}
    ]
  },
  {
    value: '信息传输、软件和信息技术服务业',
    label: '信息传输、软件和信息技术服务业',
    children: [
      {value: '电信、广播电视和卫星传输服务',label: '电信、广播电视和卫星传输服务'},
      {value: '互联网和相关服务',label: '互联网和相关服务'},
      {value: '软件和信息技术服务业',label: '软件和信息技术服务业'}
    ]
  },
  {
    value: '金融业',
    label: '金融业',
    children: [
      {value: '货币金融服务',label: '货币金融服务'},
      {value: '资本市场服务',label: '资本市场服务'},
      {value: '保险业',label: '保险业'},
      {value: '其他金融业',label: '其他金融业'}
    ]
  },
  {
    value: '房地产业',
    label: '房地产业',
    children: [
      {value: '房地产业',label: '房地产业'},
    ]
  },
  {
    value: '租赁和商务服务业',
    label: '租赁和商务服务业',
    children: [
      {value: '租赁业',label: '租赁业',},
      {value: '商务服务业',label: '商务服务业',},
    ]
  },
  {
    value: '科学研究和技术服务业',
    label: '科学研究和技术服务业',
    children: [
      {value: '研究和试验发展',label: '研究和试验发展'},
      {value: '专业技术服务业',label: '专业技术服务业'},
      {value: '科技推广和应用服务业',label: '科技推广和应用服务业'},
    ]
  },
  {
    value: '水利、环境和公共设施管理业',
    label: '水利、环境和公共设施管理业',
    children: [
      {value: '水利管理业',label: '水利管理业'},
      {value: '生态保护和环境治理业',label: '生态保护和环境治理业'},
      {value: '公共设施管理业',label: '公共设施管理业'},
      {value: '土地管理业',label: '土地管理业'},
    ]
  },
  {
    value: '居民服务、修理和其他服务业',
    label: '居民服务、修理和其他服务业',
    children: [
      {value: '居民服务业',label: '居民服务业'},
      {value: '机动车、电子产品和日用产品修理业',label: '机动车、电子产品和日用产品修理业'},
      {value: '其他服务业',label: '其他服务业'},
    ]
  },
  {
    value: '教育',
    label: '教育',
    children: [
      {value: '教育',label: '教育'},
    ]
  },
  {
    value: '卫生和社会工作',
    label: '卫生和社会工作',
    children: [
      {value: '卫生',label: '卫生'},
      {value: '社会工作',label: '社会工作'}
    ]
  },
  {
    value: '文化、体育和娱乐业',
    label: '文化、体育和娱乐业',
    children: [
      {value: '新闻和出版业',label: '新闻和出版业',},
      {value: '广播、电视、电影和录音制作业',label: '广播、电视、电影和录音制作业',},
      {value: '文化艺术业',label: '文化艺术业',},
      {value: '体育',label: '体育',},
      {value: '娱乐业',label: '娱乐业',},
    ]
  },
  {
    value: '公共管理、社会保障和社会组织',
    label: '公共管理、社会保障和社会组织',
    children: [
      {value: '中国共产党机关',label: '中国共产党机关',},
      {value: '国家机构',label: '国家机构',},
      {value: '人民政协、民主党派',label: '人民政协、民主党派',},
      {value: '社会保障',label: '社会保障',},
      {value: '群众团体、社会团体和其他成员组织',label: '群众团体、社会团体和其他成员组织',},
      {value: '基层群众自治组织',label: '基层群众自治组织',},
    ]
  },
  {
    value: '国际组织',
    label: '国际组织',
    children: [
      {value: '国际组织', label: '国际组织'}
    ]
  }
]

/**
 * 申报状态
 */
export const reportStateOptions = [
  { dictLabel: '待补充', dictValue: 1},
  { dictLabel: '待申报', dictValue: 2},
  { dictLabel: '待审核', dictValue: 3},
  { dictLabel: '已申报', dictValue: 4}
]

export const techSourceOptions = [
  { dictLabel: '自有技术', dictValue: '1' },
  { dictLabel: '引进技术后消化再创新', dictValue: '2'},
  { dictLabel: '高校、院所产学研合作项目', dictValue: '3'},
  { dictLabel: '其他企业技术', dictValue: '4'},
]

export const devOptions = [
  { dictLabel: '新产品', dictValue: '1'},
  { dictLabel: '新技术', dictValue: '2'},
  { dictLabel: '新工艺', dictValue: '3'},
  { dictLabel: '引进技术的消化、吸收和创新', dictValue: '4'},
]

export const projectTypeOptions = [
  { dictLabel: '自主研发', dictValue: '1'},
  { dictLabel: '委托研发', dictValue: '2'},
  { dictLabel: '合作研发', dictValue: '3'},
  { dictLabel: '自主研发（含委托研发）', dictValue: '4'},
]
export function getLabel(list, val) {
  for (let i = 0; i < list.length; i++) {
    if (val == list[i].dictValue) {
      return list[i].dictLabel
    }
  }
}
